petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMMoabOutput

Output the solution vectors that are stored in the DMMoab object as tags along with the complete mesh data structure in the native H5M or VTK format. The H5M output file can be visualized directly with Paraview (if compiled with appropriate plugin) or converted with MOAB/tools/mbconvert to a VTK or Exodus file.

### Synopsis

    #include "petscdmmoab.h"
    PetscErrorCode DMMoabOutput(DM dm,const char* filename,const char* usrwriteopts)

This routine can also be used for check-pointing purposes to store a complete history of the solution along with any other necessary data to restart computations.

Collective

### Input Parameters

| dm | - the discretization manager object containing solution in MOAB tags.
| filename | - the name of the output file: e.g., poisson.h5m
| usrwriteopts | - the parallel write options needed for serializing a MOAB mesh database. Can be NULL. Reference (Parallel Mesh Initialization: http://ftp.mcs.anl.gov/pub/fathom/moab-docs/contents.html#fivetwo)

### Keywords

discretization manager, set, component solution

### See Also

DMMoabLoadFromFile(), DMMoabSetGlobalFieldVector()

Level:intermediate
Location:src/dm/impls/moab/dmmbio.cxx
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages